Subject: bug#40525: closed (Re: bug#40525: inferior process on core-updates crashes: mmap(PROT_NONE) failed)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Apr 2020 16:54:02 +0000

Your bug report

#40525: inferior process on core-updates crashes: mmap(PROT_NONE) failed

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40525: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40525
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40525: inferior process on core-updates crashes: mmap(PROT_NONE) failed
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>, Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Apr 2020 17:53:17 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Glad you manage to get more info.
>>
>> Christopher Baines <[email-masked]> skribis:
>>
>>> Following up on this, I've built Guile on core-updates with libgc@7
>>> rather than libgc@8 (which is what's used above), and I can't reproduce
>>> the issue. So, I'm getting more certain that this is a regression which
>>> the libgc upgrade has led to.
>>
>> Bah.  :-/
>>
>> We noticed similar issues with libgc@8 earlier but it seemed to be
>> fixed:
>>
>>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36812
>>
>>> Would it be feasible to keep guile, or at least the guile Guix uses with
>>> libgc@7 for now?
>>
>> Yes, we can define a Guile variant in (gnu packages guile) and have
>> (guix self) refer to it.
>
> I've sent a patch which I think does this now [1]. Assuming I've done
> the right thing, is this something that can be merged in to core-updates
> Marius?
>
> 1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40684
>
> I've tested the patch by running:
>
>   ./pre-inst-env guile build-aux/compile-as-derivation.scm "$PWD"
>
> Then taking the Guix I get, and trying the script to reproduce the issue
> through the guix repl, and it seems to work.

I've merged the fix [1] in now, and it looks to have worked [2].

1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40684
2: https://guix-patches-data.cbaines.net/revision/cef392f3936922b7b0b74bd59be67e660c10db67

Thanks for your help in resolving this Ludo!

Subject: inferior process on core-updates crashes: mmap(PROT_NONE) failed
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Thu, 09 Apr 2020 20:45:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

The Guix Data Service seems to be having trouble processing the
core-updates branch [1]

1: https://guix-patches-data.cbaines.net/repository/2/branch/core-updates

At some point, usually when extracting the information about lint
warnings, package derivations or system tests, the inferior guix repl
crashes.

Looking at some strace output (attached), a mmap system call fails with
ENOMEM, however I don't think my system was out of memory or that the
process was even using that much memory at the time.

I'm not trying to use the Guix Data Service much with the core-updates
branch, but I wouldn't want this issue to break the data at
data.guix.gnu.org once the core-updates changes are merged.

Any ideas?

Thanks,

Chris